/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

package org.apache.eagle.alert.engine.publisher;

public class PublishConstants {
    public static final String NOTIFICATION_TYPE = "type";
    public static final String EMAIL_NOTIFICATION = "email";
    public static final String KAFKA_STORE = "kafka";
    public static final String EAGLE_STORE = "eagleStore";

    // email specific constants
    public static final String SUBJECT = "subject";
    public static final String SENDER = "sender";
    public static final String RECIPIENTS = "recipients";
    public static final String TEMPLATE = "template";

    // kafka specific constants
    public static final String TOPIC = "topic";
    public static final String BROKER_LIST = "kafka_broker";
    public static final String WRITE_MODE = "kafka_write_mode";

    // local rotated file constants
    public static final String FILE_NAME = "fileName";
    public static final String ROTATE_EVERY_KB = "rotate_every_kb";
    public static final String NUMBER_OF_FILES = "number_of_files";

    // slack specific constants
    public static final String TOKEN = "token";
    public static final String CHANNELS = "channels";
    public static final String SEVERITYS = "severitys";
    public static final String URL_TEMPLATE = "urltemplate";

    public static final String ALERT_EMAIL_TIME_PROPERTY = "timestamp";
    public static final String ALERT_EMAIL_COUNT_PROPERTY = "count";
    public static final String ALERT_EMAIL_ALERTLIST_PROPERTY = "alertList";
    public static final String ALERT_EMAIL_ORIGIN_PROPERTY = "alertEmailOrigin";

    public static final String ALERT_EMAIL_SUBJECT = "alertSubject";
    public static final String ALERT_EMAIL_BODY = "alertBody";
    public static final String ALERT_EMAIL_STREAM_ID = "streamId";
    public static final String ALERT_EMAIL_TIME = "alertTime";
    public static final String ALERT_EMAIL_POLICY_ID = "policyId";
    public static final String ALERT_EMAIL_ALERT_ID = "alertId";
    public static final String ALERT_EMAIL_ALERT_CATEGORY = "alertCategory";
    public static final String ALERT_EMAIL_ALERT_SEVERITY = "alertSeverity";
    public static final String ALERT_EMAIL_ALERT_DATA = "alertData";
    public static final String ALERT_EMAIL_ALERT_DATA_DESC = "alertDataDesc";
    public static final String ALERT_EMAIL_CREATOR = "creator";
    public static final String ALERT_EMAIL_ALERT_DETAIL_URL = "alertDetailUrl";
    public static final String ALERT_EMAIL_POLICY_DETAIL_URL = "policyDetailUrl";
    public static final String ALERT_EMAIL_HOME_URL = "homeUrl";
    public static final String ALERT_EMAIL_VERSION = "version";
}
