/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.eagle.alert.metadata.resource;

/**
 * @since Apr 11, 2016.
 */
public class OpResult {

    public int code = 200;
    public String message = "";

    public static final int SUCCESS = 200;
    public static final int FAILURE = 500;

    public static OpResult of(int code, String messsage) {
        OpResult opResult = new OpResult();
        opResult.code = code;
        opResult.message = messsage;
        return opResult;
    }

    public static OpResult success(String messsage) {
        OpResult opResult = new OpResult();
        opResult.code = SUCCESS;
        opResult.message = messsage;
        return opResult;
    }

    public static OpResult fail(String messsage) {
        OpResult opResult = new OpResult();
        opResult.code = FAILURE;
        opResult.message = messsage;
        return opResult;
    }
}
